/*
 * An example of a polygonal chain which heavier stroke weight.
 *
 * Note that by default, the ends are rounded and the
 * intermediate joints are "mitered" (i.e., angular).
 *
 * The end style can be changed with strokeCap(...)
 * with parameter ROUND, SQUARE, or PROJECT.
 *
 * The intermediate join style can be changed with
 * strokeJoin(...) with parameter MITER, BEVEL, or ROUND.
 */
size(600,400);

noFill();
strokeWeight(30);

beginShape();
vertex(200,100);
vertex(250,200);
vertex(200,300);
vertex(500,200);
endShape();
