/*
 * Another example of a polygonal chain.
 *
 * The end style can be changed with strokeCap(...)
 * with parameter ROUND, SQUARE, or PROJECT.
 *
 * The intermediate join style can be changed with
 * strokeJoin(...) with parameter MITER, BEVEL, or ROUND.
 *
 * In this example, we use SQUARE caps and ROUND joints.
*/
size(600,400);

noFill();
strokeWeight(30);
strokeCap(SQUARE);
strokeJoin(ROUND);

beginShape();
vertex(200,100);
vertex(250,200);
vertex(200,300);
vertex(500,200);
endShape();
